@import url('https://fonts.googleapis.com/css?family=Muli&display=swap');
* {
    box-sizing: border-box;
}

body {
    background-color: steelblue;
    color: #fff;
    font-family: 'Muli', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

.container {
    background-color: rgba(0, 0, 0, 0.4);
    padding: 1em 2em;
    border-radius: 5px;
}

.container h1 {
    text-align: center;
    margin-bottom: 2em;
}

.container a {
    text-decoration: none;
    color: lightblue;
}

.btn {
    cursor: pointer;
    display: inline-block;
    width: 100%;
    background: lightblue;
    padding: 1rem;
    font-family: inherit;
    font-size: 1em;
    border: 0;
    border-radius: 5px;
}

.btn:focus {
    outline: 0;
}

.btn:active {
    transform: scale(0.98);
}

.text {
    margin-top: 2em;
}

.form-control {
    position: relative;
    margin: 1.2em 0 2.2em;
    width: 8emem;
}

.form-control input {
    background-color: transparent;
    border: 0;
    border-bottom: 2px #fff solid;
    display: block;
    width: 15em;
    padding: 0.5em 0;
    font-size: 1.2em;
    color: #fff;
}

.form-control input:focus,
.form-control input:valid {
    outline: 0;
    border-bottom-color: lightblue;
}

.form-control label {
    position: absolute;
    top: 1em;
    left: 0;
    pointer-events: none;
}

.form-control label span {
    display: inline-block;
    font-size: 1em;
    min-width: 0.5em;
    transition: 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.form-control input:focus+label span,
.form-control input:valid+label span {
    color: lightblue;
    transform: translateY(-30px);
}